get
https://sandbox.checkhq.com/contractor_tax_statements
Returns a paginated list of contractor tax statements.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Returns a paginated list of contractor tax statements. Each page contains up to 25 results by default. Use the limit query parameter to change the page size; the maximum value is 500. Follow the next and previous URLs to move between pages.
Pass one of contractor, company, or company_copy_bundle. A request with none of them returns a 400 validation error.
Requires an API key with the contractor:read, contractor:write, or contractor:admin scope. Returns 404 unless contractor tax statements are enabled for your account.
Filters
contractor— return statements for a single contractor ID.company— return statements for a single company ID.company_copy_bundle— return statements bundled into a single employer copy company document ID.year— return statements for a single tax year.publication_status—draftreturns statements that have not been published and are not on hold,publishedreturns statements that have been published, andpending_correctionreturns statements that Check is holding and has not published.type—originalreturns statements that do not amend another statement, andamendmentreturns statements that do (statements with a non-nullamends).published_from— return statements whosepublished_atis on or after this ISO-8601 datetime (inclusive).

